classification
Title: 2.3.5 source RPM install fails w/o tk-devel
Type: Stage:
Components: Build Versions: Python 2.3
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: jafo Nosy List: jafo, nathan_zook_wk, nnorwitz
Priority: normal Keywords:

Created on 2006-01-11 19:24 by nathan_zook_wk, last changed 2007-08-28 10:31 by jafo. This issue is now closed.

Messages (4)
msg27275 - (view) Author: Nathan Zook (nathan_zook_wk) Date: 2006-01-11 19:24
Install fails because _tkinter.so is not found.  This
library is not built if the tk header files are not
found, but the installer treats this as a fatal error.
 This dependece upon tk-devel is not noted in the .spec
file, so the install fails late (and unclearly) instead
of early & clearly.
msg27276 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2006-01-14 07:41
Logged In: YES 
user_id=33168

Note: we don't maintain 2.3 any longer.

Sean any comments?
msg27277 - (view) Author: Sean Reifschneider (jafo) * (Python committer) Date: 2006-01-16 21:59
Logged In: YES 
user_id=81797

The build doesn't really have a way of adaptively adjusting
to whether Tk is available or not.  Some people in the past
have wanted to build without tk, but perhaps we should just
always build with tk?  Also, newer RPM versions have a nicer
way of doing conditional builds which will probably help this.

Any ideas?  I'll try to get a new release of the spec file
out in the next week and build some SRPMs from them so that
people can try them.

Currently, this is only addressed by being a FAQ on the RPM
pages.

Sean
msg55364 - (view) Author: Sean Reifschneider (jafo) * (Python committer) Date: 2007-08-28 10:31
I'm going to call this closed because this is basically a build
environment problem and the RPM can't really detect it at build time. 
This is noted in the RPM building FAQ, and if you search for the
"unclear" message you will find the resolution (either installing the TK
development package or removing the TK runtime package, depending on
your exact needs).
History
Date User Action Args
2007-08-28 10:31:43jafosetstatus: open -> closed
messages: + msg55364
2006-01-11 19:24:04nathan_zook_wkcreate